라즈베리파이 wine 설치 관련해서 질문 드립니다..



  • 라즈베리파이에서 .exe 파일을 실행시키기 위해서 wine을 설치하려고 하는데요…

    sudo dpkg --add-architecture i386

    sudo add-apt-repository ppa:wine/wine-builds

    sudo apt-get update

    sudo apt-get install --install-recommends winehq-staging

    위 방법으로 설치를 하는 과정에서 에러가 떠서 질문 남깁니다.

    에러 내용은

    다음 패키지의 의존성이 맞지 않습니다:
    winehq-staging:i386 : 의존 : wine-staging:i386 (= 2.21.0~xenial) 하지만 %s 패키지를 설치하지 않을 것입니다
    E: 문제를 바로잡을 수 없습니다. 망가진 고정 패키지가 있습니다.

    이런 에러가 뜹니다.

    sudo apt-get install --install-recommends winehq-staging:i386=2.21.0~xenial 등 버전정보를 입력하란 방법이나,
    -f 옵션을 사용해서 설치하던가 하는 방법으로는 해결 되지 않았습니다.

    혹시나 해결방법이 있다면 답변 부탁드리겠습니다.


  • Global Moderator

    @개발은힘들어 안녕하세요.
    산딸기마을 이장 나무꾼 입니다 .

    제가 wine 을 사용하던 때는 armv6 시절(wine 소스를 다운로드 후 컴파일 및 오류를 수정해 가며 설치하던 시절)이라 환경이 다르니 도움이 안 되실듯 해 구글링을 하던 중 이야기 하신 내용으로 이미 완성된 프로젝트가 있아 공유해 드립니다.

    아래 선구자님의 프로젝트를 참고하시길 바랍니다.

    https://eltechs.com/run-wine-on-raspberry-pi/

    수고하세요 ~~



  • @jae-sang-lee 아… exagear 라이센스를 사야되는군요…
    답변 감사드립니다^^


답글을 작성하기 위해 로그인
 

Rasplay Forum 사이트로의 연결이 끊어졌습니다. 다시 연결을 시도하는동안 잠시만 기다려 주십시오.